require 'bundler/setup'

if ENV["COVERAGE"]
  require 'simplecov'
  SimpleCov.start do
    add_filter '/test/'
  end
end

unless ENV["FURNISH_DEBUG"]
  $stderr.puts <<-EOF

  These tests are *SLOW* and take some time to run with very little feedback.
  If you want output of what is going on in the test suite, set FURNISH_DEBUG
  in your environment.

  EOF
end

require 'furnish/test'
require 'furnish/provisioners/auto_ip'
require 'furnish/provisioners/vagrant'
require 'furnish/provisioners/ssh'
require 'tc'
require 'minitest/autorun'
